import QtQuick 1.0

//import qmlprocess 1.0
import quickwidgets 1.0

Item {
    function parse(stdout) {
       console.log(stdout)
       var rx = /"(.*?)"$/;
       var val=stdout.match(rx)
       if (val) {
           return val[1]
       }
       return stdout
    }

    function getDbusCommand(ltype) {
        var dcom = "sh -c \"dbus-send --type=method_call --print-reply --dest=ru.somebody.someplayer / ru.somebody.someplayer.%%%\""
        return dcom.replace("%%%", ltype)
    }

    function update() {
        dbus.run();
    }

    id: container;
    width: parent.width-20
    height: labeltxt.paintedHeight

    property color textColor: "#ffffff"
    property string labelType: "title"

    property int fontSize: 10
    property bool fontBold: false


    Text {
        anchors.centerIn: parent
        id: labeltxt

        text: "Somewidget"
        font.bold: parent.fontBold
        font.pointSize: parent.fontSize
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter
        color: container.textColor
    }

    Process {
        id: dbus
        command: getDbusCommand(container.labelType)

        onCompleted: { labeltxt.text = parse(stdout) }
        onFailed: { labeltxt.text = "" }
    }
}

