import QtQuick 1.0
//import qmlprocess 1.0
import QtQuick 1.0
//import qmlprocess 1.0
import quickwidgets 1.0

import "content"

Item {
    width:  500
    height:  90

    Text {
        id: note
        anchors.centerIn: parent
        visible: false
        text:  "Om Mani Padme Hung"
        font.bold: true
        horizontalAlignment: Text.AlignHCenter
        font.pointSize: 18
        color: "#4C4646"
    }

    TrackInfo {
        id: info
        width: parent.width
        height: parent.height-player.height-10
        anchors.top: parent.top
        anchors.topMargin: 5
        anchors.horizontalCenter: parent.horizontalCenter
    }

    Row {
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.bottomMargin: 5
        anchors.bottom: parent.bottom
        id: player
        spacing: 10
    }

    Timer {
        id: checktimer
        interval:  20000
        triggeredOnStart: true
        repeat:  true
        running: runtime.isActiveWindow
        onTriggered:  {checker.run();}
    }

    Process {
        id: checker
        command: "sh -c \"ps -ef |grep someplayer |grep -v grep\""
        onCompleted: {
            player.visible = true;
            info.visible = true;
            info.resume();
            note.visible = false;
        }
        onFailed: {
            player.visible = false;
            info.visible = false;
            info.suspend()
            note.visible = true;
        }
    }

    Component.onCompleted: {
        checktimer.start()
    }
}

